# Interface methods for submodule: BSplineDownsampleImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BSplineDownsampleImageFilter
class BSplineDownsampleImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetSplineOrder(self, splineOrder: int) -> None:
		""""""
		...

	def GetSplineOrder(self) -> int:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

